### File

`packages/core/src/lib/components/euim-alert-message/euim-alert-messsage.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : color
selector | `euim-alert-message`
standalone | `true`
imports | `IonicModule` `EuimLabelModule`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-alert-message.component.html`

### Index

###### Properties
_variant Public baseStatesDirective isVisible
###### Methods
getCssClasses onClose setVariants
###### Inputs
euimLabelTruncate hasIcon isCloseable
###### Outputs
euimClose
###### HostBindings
class
###### Accessors
icon cssClasses

### Constructor

`constructor(baseStatesDirective: BaseStatesDirective)`
Parameters :
Name | Type | Optional
baseStatesDirective | `BaseStatesDirective` | No

### Inputs

euimLabelTruncate
Type : `boolean`
Default value : `false`

hasIcon
Type : `boolean`
Default value : `false`

isCloseable
Type : `boolean`
Default value : `false`

### Outputs

euimClose
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

onClose
`onClose(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

setVariants
`setVariants()`
Returns : `void`

### Properties

_variant
Type : `string`
Default value : `'default'`

Public baseStatesDirective
Type : `BaseStatesDirective`

isVisible
Default value : `true`

### Accessors

icon
get `icon()`

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""